
Figure - Bug #115846
测试 Test-IT # 111062 (New): V3.0功能测试

测试 Test-IT # 111067 (New): AF-V3.0--Launcher/SystemUI-任务管理器

【AF】【EVT】【任务管理器】打开小窗->全屏->进入recent->点击卡片上的小窗按钮->进recent，小窗卡片
上下两端先出现黑框，然后才被小窗内容覆盖
2023-02-03 14:23 - CD TEST-方永红

Status: CLOSED Start date: 2023-02-03

Priority: Normal Due date: 2023-02-06

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_VX1_MCE_FSE.M.D.user.01.00.X101.202302030336

Resolution: FIXED Degrated: --

Severity: Normal Verified Version: FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

Reproducibility: Every time Fixed Version: 2023-02-07

Test Type: ST Root cause: 问题原因：��在全屏和自由窗后切换转换时，存在task的缓存数据，错误的数据刷新了ui。��问题处理：��在刷新UI时，拦截错误的数据。

Description

【前提条件】

1、设备已开机

【测试步骤】

1、打开一应用小窗

2、全屏

3、进入recent->点击卡片上的小窗按钮

4、进recent

【预期结果】

4、小窗正常移动到小窗卡片的指定位置，过程流畅自然无卡顿

【实际结果】

4、小窗卡片上下两端先出现黑框，然后才被小窗内容覆盖

History

#1 - 2023-02-03 14:25 - CD TEST-方永红

- Parent task changed from #114577 to #111067

#2 - 2023-02-03 15:14 - CD APP-王营

- Due date set to 2023-02-04

- Status changed from New to ASSIGNED

- Assignee changed from CD APP-王营 to CD FW王武军

#3 - 2023-02-03 18:42 - CD APP-王营

- Due date changed from 2023-02-04 to 2023-02-06

#4 - 2023-02-06 15:08 - CD FW王武军

■ 当前状态

复现问题现象，明确问题

■ 调查原因

从视频和测试流程来看，是在启动小窗应用全屏显示后，再切换为小窗状态后，task在recent状态中显示出现异常。
异常发生应该与task的数据获取有关系。

■ 处理计划

分析小窗task在recent的显示过程，寻找其中的异常点。

#5 - 2023-02-06 17:30 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

179627 general/platform/packages/apps/Launc

her3

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

wujun.wang@thundersoft.com

FW:Launcher:Fix freemwindow task ui in recentWhen app task state from fullwindow to freewindowthe task has the cache data with thumbnail,so needintercept

the fullwindow's thumbnail.TC-RID: 1201-0205302IssueID: TS-R-BUG-115846Change-Id: I931fead7b184ce2a1fb7a4aeee2778ef293d792d

#6 - 2023-02-06 17:32 - CD FW王武军

- Status changed from ASSIGNED to RESOLVED

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-02-07

- Root cause set to 问题原因：

在全屏和自由窗后切换转换时，存在task的缓存数据，错误的数据刷新了ui。

问题处理：

在刷新UI时，拦截错误的数据。

#7 - 2023-02-07 11:14 - CD FW王武军

- Assignee changed from CD FW王武军 to CD TEST-方永红

#8 - 2023-02-07 11:24 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_VX1_MCE_FSE.M.R.user.01.00.0072.X101

2.7

根据上述测试方法，现在小窗上下两端已经没有黑框出现

验证通过

#9 - 2023-02-07 11:25 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

Phone-STS40X190078 2023-02-03 14-19-52.mp4 19 MB 2023-02-03 CD TEST-方永红
